GET

/v1/schemas/fal/video/fal-ai/kling-video/o1/standard/video-to-video/reference

kind inputactivity videohash 34de7361…extracted Oct 14, 2026version currentsource upstream spec ↗
fieldrecorded source
schemaSource linked above.

upstream-spec

Source trace
6e18824b5cdafc165582b6326df323c6614d844b6e7c177378eeb0e1cf8f50fe
{
  "fetchedAt": 1791954060,
  "extractorVersion": "1",
  "verifiedAt": null
}

Request body

8 properties · 2 required · 1 $defs
propertytypedescriptionconstraints
video_url*stringReference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB.
prompt*stringUse @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.length ≤ 2500
keep_audiobooleanWhether to keep the original audio from the video.default: false
durationenumVideo duration in seconds.3 | 4 | 5 | 6 | 7 | 8 · +2 more · default: "5"
aspect_ratioenumThe aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.auto | 16:9 | 9:16 | 1:1 · default: "auto"
elementsOmniVideoElementInput[]Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video.nullable
image_urlsstring[]Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.nullable
enable_safety_checkerbooleanDisabling safety checks requires account authorization; unauthorized requests are always checked.default: true

Types

1 $defs

OmniVideoElementInputobject

reference_image_urlsstring[]Additional reference images from different angles. 1-3 images supported. At least one image is required.
frontal_image_url*stringThe frontal image of the element (main view).

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/kling-video/o1/standard/video-to-video/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}